Prerequisite Software Setup for Getting Started with CYBLE-416045-02 EZ-BLE Module in PSoC Creator – KBA224892

Version 7

    Author: SanthoshV_71    Version: **

     

    Translation - Japanese: PSoC® Creator™でCYBLE-416045-02 EZ-BLE Creator Moduleを使用する際のソフトウェアセットアップの前提条件について– KBA224892 - Community Translated (JA)

     

    Question:

    What are the prerequisites to start development using CYBLE-416045-02 EZ-BLE Creator Module in PSoC® Creator™?

     

    Answer:

    CYBLE-416045-02 EZ-BLE module is a fully integrated and certified Bluetooth Low Energy wireless module. Do the following to start development using CYBLE-416045-02 EZ-BLE Creator Module in PSoC Creator.

     

    1. Install PSoC Creator 4.2 (cypress.com/products/psoc-creator-integrated-design-environment-ide); skip this step if you already have an installation of PSoC Creator 4.2 on your computer.
    2. Install PSoCProgrammerSetup_3.27.3.exe (http://www.cypress.com/products/psoc-programming-solutions)
    3. Install PDL 3.0.4  (http://www.cypress.com/documentation/software-and-drivers/peripheral-driver-library-pdl)
    4. Install Device pack update. In PSoC Creator, go to Tools > Find New devices and proceed to update.
           “No new devices are available” message pops up in a new window if your device pack is already up to date.
    5. Restart PSoC Creator
    6. Select Tools > Options.
    7. Choose the PDL 3.0.4 folder under Project Management > PDL v3 (PSoC6 devices) location, as shown below:
        1.png
    8. Create a new project with CYBLE-416045-02, build, download, and test your application.
    9. If you have an existing project that you wish to re-target to CYBLE-416045-02, update the PDL version in that project after choosing the new part number.
      Select Project > Build Settings… > Peripheral Driver Library and choose the appropriate path for PDL 3.0.4 under the custom field as shown below:
      2.png